Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Mark all notifications as read

POST/workspaces/{organizationId}/notifications/mark-all-read
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
204

All notifications marked read

Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://pile.nyc/workspaces/string/notifications/mark-all-read' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
All notifications marked read

Was this page helpful?